# Github: https://github.com/IzzelAliz/Arclight
# Problèmes: https://github.com/IzzelAliz/Arclight/issues
# 
# 
# Numéro de version de la configuration, ne pas modifier.
"_v"=1
# Paramètres Async Catcher
# Il existe quatre modes, le mode BLOCK est recommandé !
# NONE - Ne fait rien
# DISPATCH - Ne bloque rien et affiche les informations dans la console
# BLOCK - Continue l'execution dans le thread principal
# EXCEPTION - Affiche une erreur dans la console
async-catcher {
    defaultOperation=block
    # Affiche les informations contenues dans le fichier debug.log
    dump=true
    overrides {}
    warn=true
}
compatibility {
    entity-property-overrides {}
    # 额外运行逻辑的维度类名
    # 如果有模组世界/功能运行不正常，尝试在日志中搜索和 [EXT_LOGIC] 有关的对应类名并添加
    extra-logic-worlds=[
        "com.example.mod.ExtraLogicWorld"
    ]
    # true - 将 Forge 权限查询请求转发至 Bukkit
    # false - 不启用权限转发
    # reverse - 将 Bukkit 玩家权限查询请求转发至 Forge
    forward-permission=true
    # 允许空 NBT 标签的物品和没有 NBT 标签的物品堆叠
    lenient-item-tag-match=true
    material-property-overrides {}
    # 为模组的维度创建符号链接
    # 推荐启用以增强插件交互兼容性
    # 变更此设置会导致模组世界名称变化，可能造成依赖世界名称的插件数据丢失
    # 参见 https://github.com/IzzelAliz/Arclight/wiki/World-Symlink
    symlink-world=false
    # 用户名合法检查正则表达式，留空为使用原版检查
    # 如果需要允许中文字符可以使用
    # valid-username-regex = "^[ -~\p{sc=Han}]{1,16}$"
    # 如果允许任何用户名可以使用
    # valid-username-regex = ".+"
    valid-username-regex=""
}
# Langage/paramètres I18n
locale {
    current="fr_fr"
    fallback="zh_cn"
}
# Paramètres d'optimisation
optimization {
    cache-plugin-class=true
    # Désactiver le système DataFixerUpper utilisé pour la mise à jour des mondes.
    # Cela peut accélérer le démarrage et le chargement des mondes ainsi que réduire l'utilisation de la mémoire de 80 à 200 Mo,
    # Arclight et ses développeurs ne sont pas responsables de toute perte ou corruption de données.
    # NE PAS UTILISER EN PRODUCTION !
    disable-data-fixer=false
    # 实体目标选择器的更新间隔
    # 数值越高消耗资源越少
    # 导致实体更改目标速度变慢
    goal-selector-update-interval=2
}
